<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Accounts extends Controller_UserEnvi {

    public function action_index()
    {
        $twig = Twig::factory('admin/accounts/index');
        
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
    
    public function action_getCodes()
    {
        $model = new Model_Students();
        Cookie::set('fD', 'true');
        $twig = Twig::factory('admin/accounts/codes');
        $twig->Faculties = Model_Faculties::toArray();
        $twig->Grades = Model_Grades::create()->structured()->asArray();
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
}
            